Public Member Functions

# wxEraseEvent Class Reference
[Events]

`#include <wx/event.h>`

Inheritance diagram for wxEraseEvent:
[legend]

## Detailed Description

An erase event is sent when a window's background needs to be repainted.

On some platforms, such as GTK+, this event is simulated (simply generated just before the paint event) and may cause flicker. It is therefore recommended that you set the text background colour explicitly in order to prevent flicker. The default background colour under GTK+ is grey.

To intercept this event, use the EVT_ERASE_BACKGROUND macro in an event table definition.

You must call wxEraseEvent::GetDC and use the returned device context if it is non-NULL. If it is NULL, create your own temporary wxClientDC object.

Remarks:
  Use the device context returned by GetDC to draw on, don't create a wxPaintDC in the event handler.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxEraseEvent& event)

Event macros:

- EVT_ERASE_BACKGROUND(func):
  Process a `wxEVT_ERASE_BACKGROUND` event.

##

Library: wxCore
Category: Events

See also:
  Events and Event Handling

## Public Member Functions
| wxEraseEvent (int id=0, wxDC *dc=NULL)
| Constructor.
wxDC * | GetDC () const
| Returns the device context associated with the erase event to draw on.

List of all members.

## Constructor & Destructor Documentation

wxEraseEvent::wxEraseEvent | ( | int | id = `0`,
|  | wxDC * | dc = `NULL` |
| ) |  |  |

Constructor.

## Member Function Documentation

wxDC* wxEraseEvent::GetDC | ( |  | ) | const

Returns the device context associated with the erase event to draw on.

|  | [ top ]